6.0.0-git
2019-09-17

[#6] New Mail Audio Notification
Summary New Mail Audio Notification
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester nicki (at) diygranite (dot) com
Created 2004-03-15 (5664 days ago)
Due
Updated 2017-10-25 (692 days ago)
Assigned 2004-05-25 (5593 days ago)
Resolved 2005-05-20 (5233 days ago)
Milestone
Patch No

History
2017-10-25 08:25:49 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 56d82c6574bfa544f9fd0515d312eaeb442e632a
Author: Michael Cramer <michael@bigmichi1.de>
Date:   Sun, 22 Oct 2017 14:30:10 +0200

  TypeError: Argument 2 passed to Horde_Db_Adapter_Base::_replaceParameters()

when we do a automatic face detection whit libpuzzle enabled we got an 
error about wrong argument type

2017-10-22T12:17:22+00:00 EMERG: HORDE [ansel] TypeError: Argument 2 
passed to Horde_Db_Adapter_Base::_replaceParameters() must be of the 
type array, integer given, called in 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php on line 364 and d
efined in /usr/share/php/Horde/Db/Adapter/Base.php:784
Stack trace:
#0 /usr/share/php/Horde/Db/Adapter/Pdo/Base.php(364): 
Horde_Db_Adapter_Base->_replaceParameters('face_id = ?', 5)
#1 /srv/www/docs/ansel/lib/Faces/Base.php(655): 
Horde_Db_Adapter_Pdo_Base->updateBlob('ansel_faces', Array, Array)
#2 /srv/www/docs/ansel/lib/Faces/Base.php(554): 
Ansel_Faces_Base->saveSignature(4947, 5)
#3 /srv/www/docs/ansel/lib/Ajax/Imple/EditFaces.php(50): 
Ansel_Faces_Base->getFromPicture(Object(Ansel_Image), true)
#4 /usr/share/php/Horde/Core/Ajax/Imple.php(120): 
Ansel_Ajax_Imple_EditFaces->_handle(Object(Horde_Variables))
#5 /usr/share/php/Horde/Core/Ajax/Application/Handler/Imple.php(31): 
Horde_Core_Ajax_Imple->handle(Object(Horde_Variables))
#6 /usr/share/php/Horde/Core/Ajax/Application.php(175): 
Horde_Core_Ajax_Application_Handler_Imple->imple()
#7 /srv/www/docs/services/ajax.php(61): 
Horde_Core_Ajax_Application->doAction()
#8 {main} [pid 13479 on line 74 of "/usr/share/php/Horde/ErrorHandler.php"]

  M lib/Faces/Base.php

https://github.com/horde/ansel/commit/56d82c6574bfa544f9fd0515d312eaeb442e632a
2005-05-20 02:39:06 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
This has been implemented.
2005-04-08 17:46:35 63456 (at) fffff (dot) de Comment #4 Reply to this comment
34563456
2005-02-18 20:48:06 Jan Schneider Assigned to Jan Schneider
 
2004-05-25 17:43:37 Chuck Hagenbuch State ⇒ Assigned
Priority ⇒ 1. Low
Taken from Horde DevelopersHorde Developers
 
2004-05-15 12:13:42 Jan Schneider Assigned to Horde DevelopersHorde Developers
 
2004-05-15 12:13:41 Jan Schneider State ⇒ Assigned
Priority ⇒ 1. Low
 
2004-03-24 23:11:22 Jan Schneider State ⇒ Stalled
 
2004-03-16 08:20:10 Jon Parise Comment #2 Reply to this comment
While the Notification package would need to be updated in order to 
support this, it's IMP-specific, so I'm moving this to the IMP queue.
2004-03-15 20:29:00 nicki (at) diygranite (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Reply to this comment
I would like to be able to select a specific system sound to notify me 
when I get new mail. It would be nice if this was independant of the 
pop-up notifiction. Currently the pop-up notification causes a 
standard system beep which is indistinguishable from other task 
related beeps.



Option 1: pop-up notification

Option 2: cusomizable audio notification (no pop-up)

Option 3(?): both



Thank you,

Nicki

Saved Queries